/**
 * @desc 删除
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** ids 多个以逗号分割 */
    ids: string
}

export const init = new defs.ResultString()

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/sys/dict/item/remove',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
